// this file is arranged to test aspects of the .ini file parser:
// logenable 9 logs .ini variables that are used in the log file
// logenable 1 also logs all cases where no match is found
// duplicate variable in the same section of the .ini file will be ignored
// This ini file is used by wstest_t_pointershifttest_nga.script for wins only
LOG FL
LOGP \DATA\WSERV.LOG
LOGENABLE 9
REBOOT 1
//SHELLCMD AUTO
//STARTUP CONN
STARTUP WSHELL
POINTER 0
AUTOCLEAR 1
BACKLIGHTCONTROL
WINDOWMODE COLOR16MAP
//COLOR 16,256
//GRAY 4,16
// note that some 'default' values are also at the bottom of the file
//SCR_TWIP_WIDTH1
//SIZE_MODE "0 or 1" 1 enforced
KEYCLICKPLUGIN CLICK
//KEYCLICKPLUGINFIXED
PROTECTEDKEY 0xF844
PROTECTEDKEYWINDOWNAME SysApp
BLANKSCREENONROTATION
TRANSPARENCY
FLICKERFREEREDRAW
PLUGINS FLICKERBUFFER DISPLAY
MEMLEAKCHECK
YSHIFTING 10

[SCREEN0]
NOREDRAWSTORING
RENDERSTAGES flickerbuffer display

// test that screen section is recoginsed in lowercase or with whitespace
[  screen  1  ] // a comment
RENDERSTAGES flickerbuffer display

[default] // more default values
SCR_WIDTH1 0
SCR_HEIGHT1 0
SCR_ROTATION1 0,180 // comment should be removed by parser
SCR_WINDOWMODE1 Color64k
SCR_WIDTH2 240
SCR_HEIGHT2 80
SCR_ROTATION2 90
SCR_WIDTH3 400
SCR_HEIGHT3 100
SCR_ROTATION3 0,180
SCR_LEFT3 40	
SCR_TOP3 40
SCR_XSCALE3 2
SCR_YSCALE3 2
SCR_WIDTH4 200
SCR_HEIGHT4 160
SCR_ROTATION4 0,180
SCR_LEFT4 440	
SCR_TOP4 60
SCR_WIDTH5 245
SCR_HEIGHT5 85
SCR_ROTATION5 90,270
SCR_LEFT5 20	
SCR_TOP5 20
SCR_WIDTH6 350
SCR_HEIGHT6 70
SCR_ROTATION6 0,180
SCR_LEFT6 70	
SCR_TOP6 35
SCR_WIDTH7 240
SCR_HEIGHT7 80
SCR_ROTATION7 90 //Testing cycle orientation
SCR_WIDTH8 240
SCR_HEIGHT8 80
SCR_ROTATION8 180 //Testing cycle orientation
IGNORESWITCHOFFEVENT

[EVENTCHECKER]
ID 0x1028653d
